# 文件说明

## config.conf
config.conf 是配置文件，存储了一些比较重要的参数信息。

## mysql_backup_run.sh
mysql_backup_run.sh是备份脚本，通常由cron调用，也可手动调用对mysql中的数据进行备份，每日最新一次调用会覆盖当日的备份文件。

## mysql_backup_start.sh
mysql_backup_start.sh 是添加定时备份任务的脚本。如果cron服务未启动，则会尝试启动cron服务；如果不存在mysql_backup_run的定时备份任务，则会尝试添加。执行完成后会显示当前所有的计划任务。

## mysql_backup_status.sh
mysql_backup_status.sh 是计划任务状态查看脚本，会检查cron服务状态与run脚本的计划任务是否以写入。执行完成后会显示当前所有的计划任务。

## mysql_backup_stop.sh
mysql_backup_stop.sh 是删除计划任务脚本，会检查cron服务状态与mysql_backup_run脚本的计划任务，如果存在mysql_backup_run脚本的计划任务，则会尝试删除。执行完成后会显示删除mysql_backup_run定时计划任务后，当前cron中所有的计划任务。

## mysql_backup_restore.sh 
mysql_backup_restore.sh 是数据库恢复脚本，通常是手动执行，需要两个参数：参数1：需要恢复的数据库名，参数2：需要恢复的数据库版本时间，例子：
```
bash ./mysql_backup_restore.sh schema_test 2022-07-29
```